using System;
namespace FOUPOS.Model
{
	/// <summary>
	/// 实体类FGoods 。(属性说明自动提取数据库字段的描述信息)
	/// </summary>
	public class FGoods
	{
		public FGoods()
		{}
		#region Model
		private int _cid;
		private int _id;
		private decimal _sbuyprice;
		private string _scolor;
		private int _scount;
		private DateTime _sjointime;
		private string _sname;
		private string _snum;
		private string _sremark;
		private decimal _ssaleprice;
		private string _stype;
		/// <summary>
		/// 
		/// </summary>
		public int CID
		{
			set{ _cid=value;}
			get{return _cid;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int ID
		{
			set{ _id=value;}
			get{return _id;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal SBuyPrice
		{
			set{ _sbuyprice=value;}
			get{return _sbuyprice;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string SColor
		{
			set{ _scolor=value;}
			get{return _scolor;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int SCount
		{
			set{ _scount=value;}
			get{return _scount;}
		}
		/// <summary>
		/// 
		/// </summary>
		public DateTime SJoinTime
		{
			set{ _sjointime=value;}
			get{return _sjointime;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string SName
		{
			set{ _sname=value;}
			get{return _sname;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string SNum
		{
			set{ _snum=value;}
			get{return _snum;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string SRemark
		{
			set{ _sremark=value;}
			get{return _sremark;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal SSalePrice
		{
			set{ _ssaleprice=value;}
			get{return _ssaleprice;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string SType
		{
			set{ _stype=value;}
			get{return _stype;}
		}
		#endregion Model

	}
}

